/*

Custom style

You can override the default class or style here

This file will not be overwritten by the updater

*/

.hide {
    display: none !important;
}
.main-player {
    position: relative;
}
.main-player__thumb {
    width: auto;
    height: auto;
    min-width: 0;
    max-width: none;
    position: relative;
}

#joystick-animation {
    text-align: center;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 40%);	
    display: flex;
    justify-content: center;
    align-items: center;
}
#joystick-animation img.shadow {
    width: auto;
    height: 350px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: unset !important;
}

.main-player img#background-image {
    width: 100%;
    height: 100%;
}
#loading-spinner {
    position: absolute;
    left: 0;
    top: 0;
    background: url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZlcnNpb249IjEuMCIgd2lkdGg9IjQ4IiBoZWlnaHQ9IjQ4IiB2aWV3Qm94PSIwIDAgMTI4IDEyOCI+PGc+PHBhdGggZD0iTTc1LjQgMTI2LjYzYTExLjQzIDExLjQzIDAgMCAxLTIuMS0yMi42NSA0MC45IDQwLjkgMCAwIDAgMzAuNS0zMC42IDExLjQgMTEuNCAwIDEgMSAyMi4yNyA0Ljg3aC4wMmE2My43NyA2My43NyAwIDAgMS00Ny44IDQ4LjA1di0uMDJhMTEuMzggMTEuMzggMCAwIDEtMi45My4zN3oiIGZpbGw9IiMwMGM4YmUiLz48YW5pbWF0ZVRyYW5zZm9ybSBhdHRyaWJ1dGVOYW1lPSJ0cmFuc2Zvcm0iIHR5cGU9InJvdGF0ZSIgZnJvbT0iMCA2NCA2NCIgdG89IjM2MCA2NCA2NCIgZHVyPSIyMDAwbXMiIHJlcGVhdENvdW50PSJpbmRlZmluaXRlIi8+PC9nPjwvc3ZnPg==) no-repeat 50%;
    height: 100%;
    width: 100%;
}
#enter-fullscreen-button, 
#exit-fullscreen-button {
    position: absolute;
    width: 40px;
    height: 40px;
    z-index: 3;
    cursor: pointer;
}
#enter-fullscreen-button {
    right: 10px;
    bottom: 10px;
}
.fullscreen-button__icon {
    width: 40px;
    height: 40px;
}
#exit-fullscreen-button {
    left: -10px;
    top: 60px;
}
#game-container {
    cursor: pointer;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
}
.overlay {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(23, 31, 70, .8);
    -webkit-transform: translate(0);
    transform: translate(0);
    transition: opacity .15s linear 0s, visibility 0s linear 0s, -webkit-transform .2s ease-in-out 0s;
    transition: transform .2s ease-in-out 0s, opacity .15s linear 0s, visibility 0s linear 0s;
    transition: transform .2s ease-in-out 0s, opacity .15s linear 0s, visibility 0s linear 0s, -webkit-transform .2s ease-in-out 0s;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1003;
}
.overlay .modal {
    max-width: 80%;
    padding: 20px;
    border-radius: 5px;
    background: #fff;
    box-shadow: 0 0 50px 0 rgba(252, 213, 189, .45);
    display: unset;
    position: unset;
    height: unset;
}
.overlay .modal .modal-content {
    margin-bottom: 14px;
    font-size: 22px;
    line-height: 1.3em;
    font-weight: 500;		
    text-align: center;
    border: unset;
    color: #000;
}
.overlay .modal .modal-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.overlay .modal .modal-buttons .btn {
    min-width: 40%;
    padding: 8px 24px;
    cursor: pointer;
    font-size: 20px;
    font-weight: 800;		
    border-radius: 50px;
}

.overlay .modal .modal-buttons .btn.cancel {
    min-width: auto;
    background-color: #959595;
    color: #fff;
    min-width: 100px;
}

.overlay .modal .modal-buttons .btn.reward-btn{
    background-color: #398cef;
    color: #fff;
}
.overlay .modal .modal-buttons .btn:hover {
    opacity: 0.8;
}	
@media (min-width: 576px) {
    .overlay .modal .modal-buttons .btn {
        min-width: 45%;
        font-size: 20px;			
    }
    .overlay .modal {
        max-width: 480px;
        padding: 40px;
    }
}
@media (max-width: 768px) {		
    #joystick-animation img.shadow{
        width: auto;
        height: 300px;
    }
    .overlay .modal .modal-content{
        font-size: 16px;	
    }
    .overlay .modal .modal-buttons .btn{
        padding: 3px 24px;
    }
}


.cookie-banner {
    display: none;
    position: fixed;
    z-index: 9999;
    top: 0;
    width: 100%;
    font-size: 10px; /* 0.63rem = 10px */
}
.cookie-banner__inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    min-height: 40px; /* 2.50rem = 40px */
    background: rgba(33, 40, 50, .92);
}
.cookie-banner__text {
    padding: 5px; /* 0.31rem = 5px */
}
.about a:hover, .cookie-banner__link {
    color: #ff603c;
}
.cookie-banner__btn-wrap {
    padding-right: 8px; /* 0.50rem = 8px */
}
.cookie-banner__btn {
    vertical-align: top;
    margin: 0;
    padding: 5px; /* 0.31rem = 5px */
    border: 0;
    border-radius: 5px; /* 0.31rem = 5px */
    background: #41d63f;
    color: #fff;
    text-transform: uppercase;
    cursor: pointer;
    outline: 0;
}
